package json;

import java.util.List;
import java.util.Map;

/**
 * @author dingweiran
 * @version 2022/6/15
 */
public class FlatRecord {
    private long id;
    private int version;
    private String messageType;
    private String fileName;
    private long timestamp;
    private String gtid;
    private String position;
    private String safePosition;
    private String transactionId;
    private String serverId;
    private String threadId;
    private String sourceType;
    private String sourceVersion;
    private String schemaName;
    private String tableName;
    private String objectName;
    private List<Field> columns;
    private Object oldColumns;    //该版本类型只有List，list元素有三种类型：string、byte[]和null
    private Object newColumns;    //该版本类型只有List，list元素有三种类型：string、byte[]和null
    private String sql;
    private int executionTime;
    private long heartbeatTimestamp;
    private String syncedGtid;
    private boolean fakeGtid;
    private List<String> pkNames;
    private long readerTimestamp;
    private Map<String, String> tags;
    private int index;
    private int total;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public int getVersion() {
        return version;
    }

    public void setVersion(int version) {
        this.version = version;
    }

    public String getMessageType() {
        return messageType;
    }

    public void setMessageType(String messageType) {
        this.messageType = messageType;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public String getGtid() {
        return gtid;
    }

    public void setGtid(String gtid) {
        this.gtid = gtid;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getSafePosition() {
        return safePosition;
    }

    public void setSafePosition(String safePosition) {
        this.safePosition = safePosition;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getServerId() {
        return serverId;
    }

    public void setServerId(String serverId) {
        this.serverId = serverId;
    }

    public String getThreadId() {
        return threadId;
    }

    public void setThreadId(String threadId) {
        this.threadId = threadId;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public String getSourceVersion() {
        return sourceVersion;
    }

    public void setSourceVersion(String sourceVersion) {
        this.sourceVersion = sourceVersion;
    }

    public String getSchemaName() {
        return schemaName;
    }

    public void setSchemaName(String schemaName) {
        this.schemaName = schemaName;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getObjectName() {
        return objectName;
    }

    public void setObjectName(String objectName) {
        this.objectName = objectName;
    }

    public List<Field> getColumns() {
        return columns;
    }

    public void setColumns(List<Field> columns) {
        this.columns = columns;
    }

    public Object getOldColumns() {
        return oldColumns;
    }

    public void setOldColumns(List<String> oldColumns) {
        this.oldColumns = oldColumns;
    }

    public Object getNewColumns() {
        return newColumns;
    }

    public void setNewColumns(List<String> newColumns) {
        this.newColumns = newColumns;
    }

    public String getSql() {
        return sql;
    }

    public void setSql(String sql) {
        this.sql = sql;
    }

    public int getExecutionTime() {
        return executionTime;
    }

    public void setExecutionTime(int executionTime) {
        this.executionTime = executionTime;
    }

    public long getHeartbeatTimestamp() {
        return heartbeatTimestamp;
    }

    public void setHeartbeatTimestamp(long heartbeatTimestamp) {
        this.heartbeatTimestamp = heartbeatTimestamp;
    }

    public String getSyncedGtid() {
        return syncedGtid;
    }

    public void setSyncedGtid(String syncedGtid) {
        this.syncedGtid = syncedGtid;
    }

    public boolean isFakeGtid() {
        return fakeGtid;
    }

    public void setFakeGtid(boolean fakeGtid) {
        this.fakeGtid = fakeGtid;
    }

    public List<String> getPkNames() {
        return pkNames;
    }

    public void setPkNames(List<String> pkNames) {
        this.pkNames = pkNames;
    }

    public long getReaderTimestamp() {
        return readerTimestamp;
    }

    public void setReaderTimestamp(long readerTimestamp) {
        this.readerTimestamp = readerTimestamp;
    }

    public Map<String, String> getTags() {
        return tags;
    }

    public void setTags(Map<String, String> tags) {
        this.tags = tags;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }
}
